#include <bits/stdc++.h>
#define MAX_N;
using namespace std;

string word;
vector <string> t;
vector <int> sizet;
int n;

void censure()
{
    int index;
    for(int i=0; i<t.size(); i++)
    {
        index=word.find(t[i]);
        if(index==string::npos)
        {
            t.erase(t.begin()+i);
            sizet.erase(sizet.begin()+i);
        }
        else
        {
            word.erase(index, sizet[i]);
        }
    }
}

int main()
{
    cin >> word;
    cin >> n;
    string help;

    for(int i=0; i<n; i++)
    {
        cin >> help;
        t.push_back(help);
        sizet.push_back(help.size());
    }

    while(!t.empty())
    {
        censure();
    }

    cout << word;

    return 0;
}
